View Issue Details

IDProjectCategoryView StatusLast Update
0003274Far ManagerDialogpublic2016-08-20 14:12
ReporterHelliCopterAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003274: В полях ввода комбинация клавиш переключения языка Ctrl-Shift ошибочно фиксирует начало изменения поля
DescriptionВ полях ввода комбинация клавиш переключения языка Ctrl-Shift ошибочно фиксирует начало изменения поля.

Использую Far Manager 3.0 x64 stable.
В сборке 4747 эффект проявляется. В сборке 4700 - не проявляется.
Steps To Reproduce1. Открываем любое диалоговое окно. Например, поиск в файлах, или поиск текста в редакторе.
2. В поле строки поиска находится предыдущее значение. Переходим в поле строки поиска.
3. Нажимаем Ctrl-Shift для переключения языка.
4. Начинаем ввод текста. Предыдущее значение не очищается. Текст вводится после него.

Если комбинацию Ctrl-Shift не нажимать - поведение нормальное, при вводе первого символа предыдущее значение очищается.
Additional InformationРассчитываю на исправление :)
TagsNo tags attached.
Build4762

Activities

HelliCopter

2016-08-17 19:35

reporter   bugnote:0014705

Есть ли какое-либо "движение" по данному вопросу?

DrKnS

2016-08-17 19:47

administrator   bugnote:0014706

У меня не повторяется.

2useven10

2016-08-17 23:23

developer   bugnote:0014707

В описанном сценарии у меня тоже не повторяется.
Но можно по-другому:
В непустом поле ввода жмём -- Home ShiftEnd -- текст выделен
После этого CtrlShift (у меня это тоже переключение языка) -- выделение исчезло.

HelliCopter

2016-08-17 23:56

reporter   bugnote:0014708

Думаю, это разные эффекты одной и той же особенности: Ctrl-Shift воспринимается как комбинация, означающая начало ввода, но при этом не удаляющая ранее введённый текст.
И даже цвет текста не меняется с серого на чёрный.

Кстати, у меня Win10 x64, сборка 1607.
Никакие "ухудшатели работы клавиатуры" не установлены.

DrKnS

2016-08-18 01:10

administrator   bugnote:0014709

> И даже цвет текста не меняется с серого на чёрный

А, ну да. Повторил.

DrKnS

2016-08-18 01:32

administrator   bugnote:0014710

Last edited: 2016-08-18 01:35

View 2 revisions

Проблема не нова. Единственное, что изменилось - CtrlShift стало доходить до строк ввода, которые с какого-то перепуга сбрасывают unchanged, руководствуясь чёрным списком клавиш:

if (m_Flags.Check(FEDITLINE_CLEARFLAG) && LocalKey!=KEY_NONE && LocalKey!=KEY_IDLE 
&& LocalKey!=KEY_SHIFTINS && LocalKey!=KEY_SHIFTNUMPAD0 && (LocalKey!=KEY_CTRLINS 
&& LocalKey!=KEY_RCTRLINS) &&
        ((unsigned int)LocalKey<KEY_F1 || (unsigned int)LocalKey>KEY_F12) && LocalKey!=KEY_ALT 
&& LocalKey!=KEY_SHIFT &&
        LocalKey!=KEY_CTRL && LocalKey!=KEY_RALT && LocalKey!=KEY_RCTRL &&
        LocalKey!=KEY_CAPSLOCK && LocalKey!=KEY_NUMLOCK && LocalKey!=KEY_SCROLLLOCK &&
        
!((LocalKey>=KEY_ALT_BASE && LocalKey <= KEY_ALT_BASE+0xFFFF) || (LocalKey>=KEY_RALT_BASE 
&& LocalKey <= KEY_RALT_BASE+0xFFFF)) && // ???? 256 ???
        !(((unsigned int)LocalKey>=KEY_MACRO_BASE && (unsigned int)LocalKey<=KEY_MACRO_ENDBASE) 
|| ((unsigned int)LocalKey>=KEY_OP_BASE && (unsigned int)LocalKey <=KEY_OP_ENDBASE)) &&
        
(LocalKey!=KEY_CTRLQ && LocalKey!=KEY_RCTRLQ))
{
    m_Flags.Clear(FEDITLINE_CLEARFLAG);
}


Соответственно, то же самое произойдёт и при потере окном фокуса, например. *рукалицо*.

DrKnS

2016-08-18 02:39

administrator   bugnote:0014711

4760

HelliCopter

2016-08-18 10:57

reporter   bugnote:0014712

> 4760

Проверил на сборке 4760.
Исправлено.

Премного Вам благодарен. :)

HelliCopter

2016-08-18 21:19

reporter   bugnote:0014713

Всё-таки в 4760 нашёл ещё одну напасть.

1. Ввожу в поле поиска, допустим, "abc";
2. Спохватываюсь, что ввожу не в том регистре;
3. Нажимаю Shift-Home. Курсор становится в начало строки (на символ 'a'), строка выделена;
4. Нажимаю Ctrl-Shift для переключения регистра;
5. Начинаю вводить. Предыдущая строка НЕ ОЧИЩАЕТСЯ, несмотря на то, что перед началом ввода она была выделена.

Если исключить п.4 - работает корректно, предыдущая выделенная строка очищается.

DrKnS

2016-08-18 21:27

administrator   bugnote:0014714

> Нажимаю Ctrl-Shift для переключения регистра;

Это как? Может раскладки?

Не повторяется.

HelliCopter

2016-08-18 21:41

reporter   bugnote:0014715

Прошу прощения, не "регистра", а "языка".

HelliCopter

2016-08-18 21:45

reporter   bugnote:0014716

Гм.......у меня тоже перестало проявляться.

Но нашёл ещё одну проблему:

1. Ввожу "abc";
2. Возвращаюсь клавишей Left на 'c';
3. Нажимаю Shift-Left. Выделяется 'b';
4. Нажимаю Ctrl-Shift.
Выделение 'b' - СНИМАЕТСЯ.

HelliCopter

2016-08-18 21:46

reporter   bugnote:0014717

Повторил многократно на 4760.

DrKnS

2016-08-18 22:13

administrator   bugnote:0014718

> Выделение 'b' - СНИМАЕТСЯ.

Это повторил. 4762.

HelliCopter

2016-08-18 22:24

reporter   bugnote:0014719

Сенкс, проверяю.
Не закрывайте пока тикет, я понажимаю, если что-то по данной теме ещё найду - сюда же отпишу.

HelliCopter

2016-08-19 16:16

reporter   bugnote:0014723

По 4762 замечаний нет.
Можно закрыть тикет.

Issue History

Date Modified Username Field Change
2016-08-11 09:00 HelliCopter New Issue
2016-08-17 19:35 HelliCopter Note Added: 0014705
2016-08-17 19:47 DrKnS Note Added: 0014706
2016-08-17 23:23 2useven10 Note Added: 0014707
2016-08-17 23:56 HelliCopter Note Added: 0014708
2016-08-18 01:10 DrKnS Note Added: 0014709
2016-08-18 01:32 DrKnS Note Added: 0014710
2016-08-18 01:35 DrKnS Note Edited: 0014710 View Revisions
2016-08-18 02:39 DrKnS Note Added: 0014711
2016-08-18 02:39 DrKnS Assigned To => DrKnS
2016-08-18 02:39 DrKnS Status new => feedback
2016-08-18 10:57 HelliCopter Note Added: 0014712
2016-08-18 10:57 HelliCopter Status feedback => assigned
2016-08-18 21:19 HelliCopter Note Added: 0014713
2016-08-18 21:27 DrKnS Note Added: 0014714
2016-08-18 21:41 HelliCopter Note Added: 0014715
2016-08-18 21:45 HelliCopter Note Added: 0014716
2016-08-18 21:46 HelliCopter Note Added: 0014717
2016-08-18 22:13 DrKnS Note Added: 0014718
2016-08-18 22:24 HelliCopter Note Added: 0014719
2016-08-19 16:16 HelliCopter Note Added: 0014723
2016-08-20 14:12 DrKnS Build => 4762
2016-08-20 14:12 DrKnS Status assigned => closed
2016-08-20 14:12 DrKnS Resolution open => fixed
2016-08-20 14:12 DrKnS Fixed in Version => 3.0